| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes | Protected Member Functions

# EECFI.AttitudeDefinitionData Class Reference

Class for reading/writing orbit files. More...

Inheritance diagram for EECFI.AttitudeDefinitionData:

List of all members.

## Public Member Functions
| AttitudeDefinitionData ()
| Constructor.
| AttitudeDefinitionData (String fileNam)
| Constructor with file name.
native void | read () throws CfiError
| Read the whole file data block.
native void | write (final String fileNam, FixedHeader fixedHead, AttitudeDefinitionData attData) throws CfiError
| Write the file.
## Public Attributes
String | attDefFileDirPath
| Directory where the Atittude DEF read is placed.
AttitudeDefinitionModel | satNomAttitude
| Attitude data for satellite nominal attitude.
AttitudeDefinitionModel | satAttitude
| Attitude data for satellite attribute.
AttitudeDefinitionModel | instrAttitude
| Attitude data for intrument attitude.
## Protected Member Functions
native long | getInternalData () throws CfiError
| Returns C-like data. Memory must be freed where the method is called.

## Detailed Description

Class for reading/writing orbit files.

## Constructor & Destructor Documentation

EECFI.AttitudeDefinitionData.AttitudeDefinitionData | ( |  | ) |

Constructor.

EECFI.AttitudeDefinitionData.AttitudeDefinitionData | ( | String | fileNam | ) |

Constructor with file name.

## Member Function Documentation

native long EECFI.AttitudeDefinitionData.getInternalData | ( |  | ) | throws CfiError`[protected]`

Returns C-like data. Memory must be freed where the method is called.

void EECFI.AttitudeDefinitionData::read | ( |  | ) | throws CfiError

Read the whole file data block.

void EECFI.AttitudeDefinitionData::write | ( | final String | fileNam,
|  | FixedHeader | fixedHead,
|  | AttitudeDefinitionData | attData |
| ) |  |  | throws CfiError

Write the file.

Parameters:

  | fileNam | Name of the file to write.
  | fixedHead | FixedHeader object with fixed header data.
  | attData | Attitude Definition Data.

## Member Data Documentation

String EECFI.AttitudeDefinitionData.attDefFileDirPath

Directory where the Atittude DEF read is placed.

AttitudeDefinitionModel EECFI.AttitudeDefinitionData.instrAttitude

Attitude data for intrument attitude.

AttitudeDefinitionModel EECFI.AttitudeDefinitionData.satAttitude

Attitude data for satellite attribute.

AttitudeDefinitionModel EECFI.AttitudeDefinitionData.satNomAttitude

Attitude data for satellite nominal attitude.